## PkRequireRestart PkRequireRestart — RequireRestart object |

## Functions

PkRequireRestart * | pk_require_restart_new ()

## Properties

gchar * | package-id | Read / Write
PkRestartEnum | restart | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkRequireRestart

## Description

This GObject represents a requirement of restart from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_require_restart_new ()

    PkRequireRestart *
    pk_require_restart_new (void);

#### Returns

a new PkRequireRestart object.

Since: 0.5.4

## Types and Values

## Property Details

### The `“package-id”` property

      “package-id”               gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“restart”` property

      “restart”                  PkRestartEnum

Flags: Read / Write

Default value: PK_RESTART_ENUM_UNKNOWN

Since: 0.5.4